Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain
Class Proof

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.Proof

All Implemented Interfaces:
  Serializable

    public class Proof

extends Object
implements Serializable

Proof.

See Also:
  Serialized Form

Constructor Summary
`Proof(String type)`
`Proof(String type, BinaryProof binaryProof)`

Method Summary
`boolean` | `equals(Object obj)`
`BinaryProof` | `getBinaryProof()`
`String` | `getType()`
`int` | `hashCode()`
`void` | `setBinaryProof(BinaryProof binaryProof)`
`void` | `setType(String type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Proof

    public Proof(String type)

Parameters:
  `type` -
  `binaryProof` -

### Proof

    public Proof(String type,
                 BinaryProof binaryProof)

Parameters:
  `type` -
  `binaryProof` -

Method Detail

### getType

    public String getType()

  Returns:
    the type

### setType

    public void setType(String type)

  Parameters:
    `type` - the type to set

### getBinaryProof

    public BinaryProof getBinaryProof()

  Returns:
    the binaryProof

### setBinaryProof

    public void setBinaryProof(BinaryProof binaryProof)

  Parameters:
    `binaryProof` - the binaryProof to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.